Google Scholar Profiles API
이름으로 Google Scholar 저자 프로필을 검색합니다. engine=google_scholar_profiles를 설정하고 mauthors에 이름을 전달하면 일치하는 저자 목록을 ID, 소속 기관, 인용 횟수와 함께 확인할 수 있습니다.
엔드포인트
섹션 제목: “엔드포인트” GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
매개변수
섹션 제목: “매개변수”| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
api_key | string | 예 | SERP API 키 |
engine | string | 예 | google_scholar_profiles이어야 함 |
mauthors | string | 예 | 검색할 저자 이름 |
hl | string | 아니요 | 인터페이스 언어 코드 |
after_author | string | 아니요 | 다음 페이지 토큰, before_author 값 뒤에 와야 함 |
before_author | string | 아니요 | 이전 페이지 토큰 |
요청 예시
섹션 제목: “요청 예시”curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"import requests
params = { "engine": "google_scholar_profiles", "api_key": "YOUR_API_KEY", "mauthors": "jake",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_profiles', api_key: 'YOUR_API_KEY', mauthors: 'jake',});const data = await (await fetch(url)).json();응답 예시
섹션 제목: “응답 예시”{ "search_parameters": { "engine": "google_scholar_profiles", "mauthors": "jake" }, "profiles": [ { "name": "Jake Smith", "author_id": "LSsXyncAAAAJ", "affiliations": "Professor of Computer Science, MIT", "email": "Verified email at mit.edu", "cited_by": 18200, "interests": [ { "title": "Artificial Intelligence" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." } ], "pagination": { "next_page_token": "...", "next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..." }}